BERConstructedOctetString (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1

## Class BERConstructedOctetString

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1OctetString
      - - org.bouncycastle.asn1.BEROctetString
        - - org.bouncycastle.asn1.BERConstructedOctetString

- All Implemented Interfaces:
    ASN1Encodable, ASN1OctetStringParser, InMemoryRepresentable, Encodable

  Deprecated.
  use BEROctetString

      public class BERConstructedOctetString
      extends BEROctetString

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BERConstructedOctetString(ASN1Encodable obj)` Deprecated.
    `BERConstructedOctetString(ASN1Primitive obj)` Deprecated.
    `BERConstructedOctetString(byte[] string)` Deprecated.
    `BERConstructedOctetString(java.util.Vector octs)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BEROctetString` | `fromSequence(ASN1Sequence seq)` Deprecated.
    `java.util.Enumeration` | `getObjects()` Deprecated. return the DER octets that make up this string.
    `byte[]` | `getOctets()` Deprecated. Return the content of the OCTET STRING as a byte array.

    - ### Methods inherited from class org.bouncycastle.asn1.BEROctetString

      `encode`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1OctetString

      `getInstance, getInstance, getLoadedObject, getOctetStream, hashCode, parser, toString`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.bouncycastle.asn1.ASN1Encodable

      `toASN1Primitive`

- - ### Constructor Detail

    - #### BERConstructedOctetString

          public BERConstructedOctetString(byte[] string)

      Deprecated.
      Parameters:
        `string` - the octets making up the octet string.

    - #### BERConstructedOctetString

          public BERConstructedOctetString(java.util.Vector octs)

      Deprecated.

    - #### BERConstructedOctetString

          public BERConstructedOctetString(ASN1Primitive obj)

      Deprecated.

    - #### BERConstructedOctetString

          public BERConstructedOctetString(ASN1Encodable obj)

      Deprecated.

  - ### Method Detail

    - #### getOctets

          public byte[] getOctets()

      Deprecated.
      Description copied from class: `ASN1OctetString`
      Return the content of the OCTET STRING as a byte array.
      Overrides:
        `getOctets` in class `BEROctetString`
      Returns:
        the byte[] representing the OCTET STRING's content.

    - #### getObjects

          public java.util.Enumeration getObjects()

      Deprecated.
      return the DER octets that make up this string.
      Overrides:
        `getObjects` in class `BEROctetString`

    - #### fromSequence

          public static BEROctetString fromSequence(ASN1Sequence seq)

      Deprecated.